Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfFillImageRefPointType

    java.lang.Object
      java.lang.Enum<OdfFillImageRefPointType>
          org.odftoolkit.odfdom.dom.type.draw.OdfFillImageRefPointType

All Implemented Interfaces:
  Serializable, Comparable<OdfFillImageRefPointType>

    public enum OdfFillImageRefPointType

extends Enum<OdfFillImageRefPointType>

DOM implementation of OpenDocument attribute draw:fill-image-ref-point.

Enum Constant Summary
`BOTTOM`
`BOTTOM_LEFT`
`BOTTOM_RIGHT`
`CENTER`
`LEFT`
`RIGHT`
`TOP`
`TOP_LEFT`
`TOP_RIGHT`

Method Summary
`static OdfFillImageRefPointType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFillImageRefPointType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFillImageRefPointType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFillImageRefPointType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final OdfFillImageRefPointType TOP

### RIGHT

    public static final OdfFillImageRefPointType RIGHT

### LEFT

    public static final OdfFillImageRefPointType LEFT

### BOTTOM

    public static final OdfFillImageRefPointType BOTTOM

### BOTTOM_LEFT

    public static final OdfFillImageRefPointType BOTTOM_LEFT

### TOP_RIGHT

    public static final OdfFillImageRefPointType TOP_RIGHT

### TOP_LEFT

    public static final OdfFillImageRefPointType TOP_LEFT

### BOTTOM_RIGHT

    public static final OdfFillImageRefPointType BOTTOM_RIGHT

### CENTER

    public static final OdfFillImageRefPointType CENTER

Method Detail

### values

    public static OdfFillImageRefPointType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFillImageRefPointType c : OdfFillImageRefPointType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFillImageRefPointType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFillImageRefPointType>`
  Returns:
    return the name of OdfFillImageRefPointType

### toString

    public static String toString(OdfFillImageRefPointType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFillImageRefPointType, see draw:fill-image-ref-point
  Returns:
    return the name of OdfFillImageRefPointType

### enumValueOf

    public static OdfFillImageRefPointType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFillImageRefPointType
  Returns:
    return the constant of OdfFillImageRefPointType, see draw:fill-image-ref-point

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.